jQuery(document).ready(function ($) {
    'use strict';

    const api = wp.customize;

    api.previewer.bind('wcb_update_language', function (message) {
        let language = wcbParams.currentLanguage;
        if (language !== message) {
            location.href = location.href;
        }
    });
    api.panel('wcb_coupon_box_design', function (panel) {
        panel.expanded.bind(function (isExpanded) {
            let iframe = $('iframe').contents().find('body');
            if (isExpanded) {
                iframe.find('.wcb-current-layout').addClass('wcb-md-show');
            } else {
                iframe.find('.wcb-current-layout').removeClass('wcb-md-show');
            }
        })
    });

    api('woo_coupon_box_params[wcb_layout]', function (value) {
        if (value.get() != 2 && value.get() != 5 && value.get() != 6) {
            $('#accordion-section-wcb_coupon_box_design_image_column').addClass('wcb-hide-section');
            // if (value.get() == 6) {
            //     $('#customize-control-woo_coupon_box_params-wcb_right_column_size').css('display', 'none');
            //     $('#customize-control-woo_coupon_box_params-wcb_right_column_size_px').css('display', 'block');
            // } else {
            //     $('#customize-control-woo_coupon_box_params-wcb_right_column_size').css('display', 'block');
            //     $('#customize-control-woo_coupon_box_params-wcb_right_column_size_px').css('display', 'none');
            // }
        }
        value.bind(function (newval) {
            $('#customize-control-woo_coupon_box_params-wcb_custom_image_img').find('.remove-button').click();
            api('woo_coupon_box_params[wcb_custom_image_bsize]').set('cover');

            switch (newval) {
                case '1':
                    $('#customize-control-woo_coupon_box_params-wcb_header_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_header_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_title]').set('WANT 10% OFF?');
                    api('woo_coupon_box_params[wcb_color_header]').set('#fff');
                    api('woo_coupon_box_params[wcb_bg_header]').set('#1e73be');
                    api('woo_coupon_box_params[wcb_title_size]').set('50');
                    api('woo_coupon_box_params[wcb_title_space]').set('10');

                    $('#customize-control-woo_coupon_box_params-wcb_right_column_bg_img').find('.remove-button').click();

                    api('woo_coupon_box_params[wcb_custom_image_width]').set('20');
                    api('woo_coupon_box_params[wcb_custom_image_height]').set('28');
                    api('woo_coupon_box_params[wcb_custom_image_top]').set('-25');
                    api('woo_coupon_box_params[wcb_custom_image_bottom]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_left]').set('38');
                    api('woo_coupon_box_params[wcb_custom_image_right]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_img]').set(wcbParams.customImage);

                    api('woo_coupon_box_params[wcb_body_bg]').set('#eee');
                    $('#customize-control-woo_coupon_box_params-wcb_body_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_body_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_body_bg_img_repeat]').set('no-repeat');
                    api('woo_coupon_box_params[wcb_body_bg_img_size]').set('cover');
                    api('woo_coupon_box_params[wcb_body_bg_img_position]').set('center');
                    api('woo_coupon_box_params[wcb_body_text_color]').set('#000');

                    api('woo_coupon_box_params[wcb_message]').set('Subscribe now to get free discount coupon code. Don\'t miss out!');
                    api('woo_coupon_box_params[wcb_color_message]').set('unset');
                    api('woo_coupon_box_params[wcb_message_size]').set('16');
                    api('woo_coupon_box_params[wcb_message_align]').set('center');

                    api('woo_coupon_box_params[wcb_button_text_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_button_bg_color]').set('#ff5065');
                    api('woo_coupon_box_params[wcb_button_text]').set('SUBSCRIBE');
                    api('woo_coupon_box_params[wcb_button_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_email_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_custom_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_custom_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_custom_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_email_button_space]').set('0');

                    api('woo_coupon_box_params[wcb_footer_text]').set('We will never spam you, unsubscribe anytime.');
                    api('woo_coupon_box_params[wcb_footer_text_after_subscribe]').set('');

                    api('woo_coupon_box_params[wcb_follow_us]').set('Follow us to get more coupon');
                    api('woo_coupon_box_params[wcb_color_follow_us]').set('unset');
                    api('woo_coupon_box_params[wcb_social_icons_size]').set('50');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_color]').set(wcbParams.wcbSocialIconsFacebookColor);
                    api('woo_coupon_box_params[wcb_social_icons_facebook_select]').set('wcb_social_icons-facebook-app-logo');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_color]').set(wcbParams.wcbSocialIconsTwitterColor);
                    api('woo_coupon_box_params[wcb_social_icons_twitter_select]').set('wcb_social_icons-twitter-1');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_color]').set(wcbParams.wcbSocialIconsPinterestColor);
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_select]').set('wcb_social_icons-pinterest-social-logo');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_color]').set(wcbParams.wcbSocialIconsInstagramColor);
                    api('woo_coupon_box_params[wcb_social_icons_instagram_select]').set('wcb_social_icons-instagram');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_color]').set(wcbParams.wcbSocialIconsDribbbleColor);
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_select]').set('wcb_social_icons-dribbble-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_color]').set(wcbParams.wcbSocialIconsTumblrColor);
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_select]').set('wcb_social_icons-tumblr-logo-2');
                    api('woo_coupon_box_params[wcb_social_icons_google_color]').set(wcbParams.wcbSocialIconsGoogleColor);
                    api('woo_coupon_box_params[wcb_social_icons_google_select]').set('wcb_social_icons-google-plus-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_color]').set(wcbParams.wcbSocialIconsVkontakteColor);
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_select]').set('wcb_social_icons-vk-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_color]').set(wcbParams.wcbSocialIconsLinkedinColor);
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_select]').set('wcb_social_icons-linkedin-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_color]').set(wcbParams.wcbSocialIconsYoutubeColor);
                    api('woo_coupon_box_params[wcb_social_icons_youtube_select]').set('wcb_social_icons-youtube-logotype');
                    $('#accordion-section-wcb_coupon_box_design_image_column').addClass('wcb-hide-section');
                    break
                case '2':
                    $('#customize-control-woo_coupon_box_params-wcb_header_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_header_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_title]').set('Want Coupon?');
                    api('woo_coupon_box_params[wcb_color_header]').set('unset');
                    api('woo_coupon_box_params[wcb_bg_header]').set('unset');
                    api('woo_coupon_box_params[wcb_title_size]').set('32');
                    api('woo_coupon_box_params[wcb_title_space]').set('18');

                    $('#customize-control-woo_coupon_box_params-wcb_right_column_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_right_column_bg_img]').set(wcbParams.imgBgSale5);
                    api('woo_coupon_box_params[wcb_right_column_size]').set(50);

                    api('woo_coupon_box_params[wcb_custom_image_width]').set('30');
                    api('woo_coupon_box_params[wcb_custom_image_height]').set('55');
                    api('woo_coupon_box_params[wcb_custom_image_top]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_bottom]').set('-12');
                    api('woo_coupon_box_params[wcb_custom_image_left]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_right]').set('-8');
                    api('woo_coupon_box_params[wcb_custom_image_img]').set(wcbParams.customImage2);

                    api('woo_coupon_box_params[wcb_body_bg]').set('#eee');
                    $('#customize-control-woo_coupon_box_params-wcb_body_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_body_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_body_bg_img_repeat]').set('no-repeat');
                    api('woo_coupon_box_params[wcb_body_bg_img_size]').set('cover');
                    api('woo_coupon_box_params[wcb_body_bg_img_position]').set('center');
                    api('woo_coupon_box_params[wcb_body_text_color]').set('#000000');

                    api('woo_coupon_box_params[wcb_message]').set('Subscribe now to get 10% off. Don\'t miss out.');
                    api('woo_coupon_box_params[wcb_message_after_subscribe]').set('Congratulation! You have subscribed successfully.');
                    api('woo_coupon_box_params[wcb_color_message]').set('unset');
                    api('woo_coupon_box_params[wcb_message_size]').set('18');
                    api('woo_coupon_box_params[wcb_message_align]').set('center');

                    api('woo_coupon_box_params[wcb_button_text_color]').set('#ffffff');
                    api('woo_coupon_box_params[wcb_button_bg_color]').set('#2b2e4a');
                    api('woo_coupon_box_params[wcb_button_text]').set('SUBSCRIBE');
                    api('woo_coupon_box_params[wcb_button_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_email_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_custom_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_custom_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_custom_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_email_button_space]').set('0');

                    api('woo_coupon_box_params[wcb_footer_text]').set('Unsubscribe anytime!');
                    api('woo_coupon_box_params[wcb_footer_text_after_subscribe]').set('');

                    api('woo_coupon_box_params[wcb_follow_us]').set('');
                    api('woo_coupon_box_params[wcb_color_follow_us]').set('unset');
                    api('woo_coupon_box_params[wcb_social_icons_size]').set('30');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_color]').set(wcbParams.wcbSocialIconsFacebookColor);
                    api('woo_coupon_box_params[wcb_social_icons_facebook_select]').set('wcb_social_icons-facebook-app-logo');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_color]').set(wcbParams.wcbSocialIconsTwitterColor);
                    api('woo_coupon_box_params[wcb_social_icons_twitter_select]').set('wcb_social_icons-twitter-1');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_color]').set(wcbParams.wcbSocialIconsPinterestColor);
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_select]').set('wcb_social_icons-pinterest-social-logo');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_color]').set(wcbParams.wcbSocialIconsInstagramColor);
                    api('woo_coupon_box_params[wcb_social_icons_instagram_select]').set('wcb_social_icons-instagram');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_color]').set(wcbParams.wcbSocialIconsDribbbleColor);
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_select]').set('wcb_social_icons-dribbble-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_color]').set(wcbParams.wcbSocialIconsTumblrColor);
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_select]').set('wcb_social_icons-tumblr-logo-2');
                    api('woo_coupon_box_params[wcb_social_icons_google_color]').set(wcbParams.wcbSocialIconsGoogleColor);
                    api('woo_coupon_box_params[wcb_social_icons_google_select]').set('wcb_social_icons-google-plus-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_color]').set(wcbParams.wcbSocialIconsVkontakteColor);
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_select]').set('wcb_social_icons-vk-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_color]').set(wcbParams.wcbSocialIconsLinkedinColor);
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_select]').set('wcb_social_icons-linkedin-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_color]').set(wcbParams.wcbSocialIconsYoutubeColor);
                    api('woo_coupon_box_params[wcb_social_icons_youtube_select]').set('wcb_social_icons-youtube-logotype');
                    $('#accordion-section-wcb_coupon_box_design_image_column').removeClass('wcb-hide-section');
                    $('#customize-control-woo_coupon_box_params-wcb_right_column_size').css('display', 'block');
                    $('#customize-control-woo_coupon_box_params-wcb_right_column_size_px').css('display', 'none');
                    break
                case '3':
                    $('#customize-control-woo_coupon_box_params-wcb_header_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_header_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_title]').set('WANT <span>10% OFF?</span>');
                    api('woo_coupon_box_params[wcb_color_header]').set('unset');
                    api('woo_coupon_box_params[wcb_bg_header]').set('unset');
                    api('woo_coupon_box_params[wcb_title_size]').set('96');
                    api('woo_coupon_box_params[wcb_title_space]').set('10');

                    $('#customize-control-woo_coupon_box_params-wcb_right_column_bg_img').find('.remove-button').click();

                    api('woo_coupon_box_params[wcb_custom_image_width]').set('25');
                    api('woo_coupon_box_params[wcb_custom_image_height]').set('25');
                    api('woo_coupon_box_params[wcb_custom_image_top]').set('-15');
                    api('woo_coupon_box_params[wcb_custom_image_bottom]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_left]').set('35');
                    api('woo_coupon_box_params[wcb_custom_image_right]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_img]').set(wcbParams.customImage);

                    api('woo_coupon_box_params[wcb_body_bg]').set('#eeeeee');
                    $('#customize-control-woo_coupon_box_params-wcb_body_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_body_bg_img]').set(wcbParams.imgBgSale3);
                    api('woo_coupon_box_params[wcb_body_bg_img_repeat]').set('no-repeat');
                    api('woo_coupon_box_params[wcb_body_bg_img_size]').set('cover');
                    api('woo_coupon_box_params[wcb_body_bg_img_position]').set('center');
                    api('woo_coupon_box_params[wcb_body_text_color]').set('#fffffd');

                    api('woo_coupon_box_params[wcb_message]').set('Subscribe now to get free discount coupon code. Don\'t miss out!');
                    api('woo_coupon_box_params[wcb_color_message]').set('unset');
                    api('woo_coupon_box_params[wcb_message_size]').set('16');
                    api('woo_coupon_box_params[wcb_message_align]').set('center');

                    api('woo_coupon_box_params[wcb_button_text_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_button_bg_color]').set('#ff5065');
                    api('woo_coupon_box_params[wcb_button_text]').set('SUBSCRIBE');
                    api('woo_coupon_box_params[wcb_button_border_radius]').set('4');
                    api('woo_coupon_box_params[wcb_email_input_border_radius]').set('4');
                    api('woo_coupon_box_params[wcb_email_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_email_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_custom_input_border_radius]').set('4');
                    api('woo_coupon_box_params[wcb_custom_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_custom_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_email_button_space]').set('');

                    api('woo_coupon_box_params[wcb_footer_text]').set('We will never spam you, unsubscribe anytime.');
                    api('woo_coupon_box_params[wcb_footer_text_after_subscribe]').set('');

                    api('woo_coupon_box_params[wcb_follow_us]').set('Follow us to get more coupon');
                    api('woo_coupon_box_params[wcb_color_follow_us]').set('unset');
                    api('woo_coupon_box_params[wcb_social_icons_size]').set('50');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_color]').set(wcbParams.wcbSocialIconsFacebookColor);
                    api('woo_coupon_box_params[wcb_social_icons_facebook_select]').set('wcb_social_icons-facebook-app-logo');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_color]').set(wcbParams.wcbSocialIconsTwitterColor);
                    api('woo_coupon_box_params[wcb_social_icons_twitter_select]').set('wcb_social_icons-twitter-1');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_color]').set(wcbParams.wcbSocialIconsPinterestColor);
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_select]').set('wcb_social_icons-pinterest-social-logo');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_color]').set(wcbParams.wcbSocialIconsInstagramColor);
                    api('woo_coupon_box_params[wcb_social_icons_instagram_select]').set('wcb_social_icons-instagram');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_color]').set(wcbParams.wcbSocialIconsDribbbleColor);
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_select]').set('wcb_social_icons-dribbble-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_color]').set(wcbParams.wcbSocialIconsTumblrColor);
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_select]').set('wcb_social_icons-tumblr-logo-2');
                    api('woo_coupon_box_params[wcb_social_icons_google_color]').set(wcbParams.wcbSocialIconsGoogleColor);
                    api('woo_coupon_box_params[wcb_social_icons_google_select]').set('wcb_social_icons-google-plus-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_color]').set(wcbParams.wcbSocialIconsVkontakteColor);
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_select]').set('wcb_social_icons-vk-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_color]').set(wcbParams.wcbSocialIconsLinkedinColor);
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_select]').set('wcb_social_icons-linkedin-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_color]').set(wcbParams.wcbSocialIconsYoutubeColor);
                    api('woo_coupon_box_params[wcb_social_icons_youtube_select]').set('wcb_social_icons-youtube-logotype');
                    $('#accordion-section-wcb_coupon_box_design_image_column').addClass('wcb-hide-section');
                    break
                case '4':
                    $('#customize-control-woo_coupon_box_params-wcb_header_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_header_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_title]').set('WANT 10% OFF?');
                    api('woo_coupon_box_params[wcb_color_header]').set('unset');
                    api('woo_coupon_box_params[wcb_bg_header]').set('unset');
                    api('woo_coupon_box_params[wcb_title_size]').set('50');
                    api('woo_coupon_box_params[wcb_title_space]').set('10');

                    $('#customize-control-woo_coupon_box_params-wcb_right_column_bg_img').find('.remove-button').click();

                    api('woo_coupon_box_params[wcb_custom_image_width]').set('30');
                    api('woo_coupon_box_params[wcb_custom_image_height]').set('38');
                    api('woo_coupon_box_params[wcb_custom_image_top]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_bottom]').set('-15');
                    api('woo_coupon_box_params[wcb_custom_image_left]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_right]').set('-10');
                    api('woo_coupon_box_params[wcb_custom_image_img]').set(wcbParams.customImage);

                    api('woo_coupon_box_params[wcb_body_bg]').set('#fff');
                    $('#customize-control-woo_coupon_box_params-wcb_body_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_body_bg_img]').set(wcbParams.imgBgSale4);
                    api('woo_coupon_box_params[wcb_body_bg_img_repeat]').set('no-repeat');
                    api('woo_coupon_box_params[wcb_body_bg_img_size]').set('cover');
                    api('woo_coupon_box_params[wcb_body_bg_img_position]').set('center');
                    api('woo_coupon_box_params[wcb_body_text_color]').set('#1e73be');

                    api('woo_coupon_box_params[wcb_message]').set('Subscribe now to get free discount coupon code. Don\'t miss out!');
                    api('woo_coupon_box_params[wcb_color_message]').set('unset');
                    api('woo_coupon_box_params[wcb_message_size]').set('16');
                    api('woo_coupon_box_params[wcb_message_align]').set('center');

                    api('woo_coupon_box_params[wcb_button_text_color]').set('#ffffff');
                    api('woo_coupon_box_params[wcb_button_bg_color]').set('#216583');
                    api('woo_coupon_box_params[wcb_button_text]').set('SUBSCRIBE');
                    api('woo_coupon_box_params[wcb_button_border_radius]').set('4');
                    api('woo_coupon_box_params[wcb_email_input_border_radius]').set('4');
                    api('woo_coupon_box_params[wcb_email_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_email_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_custom_input_border_radius]').set('4');
                    api('woo_coupon_box_params[wcb_custom_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_custom_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_email_button_space]').set('0');

                    api('woo_coupon_box_params[wcb_footer_text]').set('We will never spam you, unsubscribe anytime.');
                    api('woo_coupon_box_params[wcb_footer_text_after_subscribe]').set('');

                    api('woo_coupon_box_params[wcb_follow_us]').set('Follow us to get more coupon');
                    api('woo_coupon_box_params[wcb_color_follow_us]').set('unset');
                    api('woo_coupon_box_params[wcb_social_icons_size]').set('50');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_color]').set(wcbParams.wcbSocialIconsFacebookColor);
                    api('woo_coupon_box_params[wcb_social_icons_facebook_select]').set('wcb_social_icons-facebook-app-logo');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_color]').set(wcbParams.wcbSocialIconsTwitterColor);
                    api('woo_coupon_box_params[wcb_social_icons_twitter_select]').set('wcb_social_icons-twitter-1');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_color]').set(wcbParams.wcbSocialIconsPinterestColor);
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_select]').set('wcb_social_icons-pinterest-social-logo');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_color]').set(wcbParams.wcbSocialIconsInstagramColor);
                    api('woo_coupon_box_params[wcb_social_icons_instagram_select]').set('wcb_social_icons-instagram');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_color]').set(wcbParams.wcbSocialIconsDribbbleColor);
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_select]').set('wcb_social_icons-dribbble-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_color]').set(wcbParams.wcbSocialIconsTumblrColor);
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_select]').set('wcb_social_icons-tumblr-logo-2');
                    api('woo_coupon_box_params[wcb_social_icons_google_color]').set(wcbParams.wcbSocialIconsGoogleColor);
                    api('woo_coupon_box_params[wcb_social_icons_google_select]').set('wcb_social_icons-google-plus-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_color]').set(wcbParams.wcbSocialIconsVkontakteColor);
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_select]').set('wcb_social_icons-vk-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_color]').set(wcbParams.wcbSocialIconsLinkedinColor);
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_select]').set('wcb_social_icons-linkedin-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_color]').set(wcbParams.wcbSocialIconsYoutubeColor);
                    api('woo_coupon_box_params[wcb_social_icons_youtube_select]').set('wcb_social_icons-youtube-logotype');
                    $('#accordion-section-wcb_coupon_box_design_image_column').addClass('wcb-hide-section');
                    break
                case '5':
                    $('#customize-control-woo_coupon_box_params-wcb_header_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_header_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_title]').set('WANT <span>10% OFF?</span>');
                    api('woo_coupon_box_params[wcb_color_header]').set('unset');
                    api('woo_coupon_box_params[wcb_bg_header]').set('unset');
                    api('woo_coupon_box_params[wcb_title_size]').set('30');
                    api('woo_coupon_box_params[wcb_title_space]').set('16');

                    $('#customize-control-woo_coupon_box_params-wcb_right_column_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_right_column_bg_img]').set(wcbParams.imgBgSale5);
                    api('woo_coupon_box_params[wcb_right_column_size]').set(40);

                    api('woo_coupon_box_params[wcb_custom_image_width]').set('20');
                    api('woo_coupon_box_params[wcb_custom_image_height]').set('60');
                    api('woo_coupon_box_params[wcb_custom_image_top]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_bottom]').set('-15');
                    api('woo_coupon_box_params[wcb_custom_image_left]').set('-6');
                    api('woo_coupon_box_params[wcb_custom_image_right]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_img]').set(wcbParams.customImage3);

                    api('woo_coupon_box_params[wcb_body_bg]').set('#eeeeee');
                    $('#customize-control-woo_coupon_box_params-wcb_body_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_body_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_body_bg_img_repeat]').set('no-repeat');
                    api('woo_coupon_box_params[wcb_body_bg_img_size]').set('cover');
                    api('woo_coupon_box_params[wcb_body_bg_img_position]').set('center');
                    api('woo_coupon_box_params[wcb_body_text_color]').set('#2b2e4a');

                    api('woo_coupon_box_params[wcb_message]').set('Subscribe now to get free discount coupon code. Don\'t miss out!');
                    api('woo_coupon_box_params[wcb_message_after_subscribe]').set('Congratulation! You have subscribed successfully.');
                    api('woo_coupon_box_params[wcb_color_message]').set('unset');
                    api('woo_coupon_box_params[wcb_message_size]').set('16');
                    api('woo_coupon_box_params[wcb_message_align]').set('left');

                    api('woo_coupon_box_params[wcb_button_text_color]').set('#ffffff');
                    api('woo_coupon_box_params[wcb_button_bg_color]').set('#2b2e4a');
                    api('woo_coupon_box_params[wcb_button_text]').set('SUBSCRIBE');
                    api('woo_coupon_box_params[wcb_button_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_email_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_custom_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_custom_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_custom_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_email_button_space]').set('0');

                    api('woo_coupon_box_params[wcb_footer_text]').set('We will never spam you, unsubscribe anytime.');
                    api('woo_coupon_box_params[wcb_footer_text_after_subscribe]').set('');

                    api('woo_coupon_box_params[wcb_follow_us]').set('');
                    api('woo_coupon_box_params[wcb_color_follow_us]').set('unset');
                    api('woo_coupon_box_params[wcb_social_icons_size]').set('25');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_select]').set('wcb_social_icons-facebook-app-logo');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_select]').set('wcb_social_icons-twitter-1');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_select]').set('wcb_social_icons-pinterest-social-logo');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_select]').set('wcb_social_icons-instagram');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_select]').set('wcb_social_icons-dribbble-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_select]').set('wcb_social_icons-tumblr-logo-2');
                    api('woo_coupon_box_params[wcb_social_icons_google_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_google_select]').set('wcb_social_icons-google-plus-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_select]').set('wcb_social_icons-vk-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_select]').set('wcb_social_icons-linkedin-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_select]').set('wcb_social_icons-youtube-logotype');

                    $('#accordion-section-wcb_coupon_box_design_image_column').removeClass('wcb-hide-section');
                    $('#customize-control-woo_coupon_box_params-wcb_right_column_size').css('display', 'block');
                    $('#customize-control-woo_coupon_box_params-wcb_right_column_size_px').css('display', 'none');
                    break;
                case '6':
                    $('#customize-control-woo_coupon_box_params-wcb_header_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_header_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_title]').set('WANT <span>10% OFF?</span>');
                    api('woo_coupon_box_params[wcb_color_header]').set('unset');
                    api('woo_coupon_box_params[wcb_bg_header]').set('unset');
                    api('woo_coupon_box_params[wcb_title_size]').set('30');
                    api('woo_coupon_box_params[wcb_title_space]').set('16');

                    $('#customize-control-woo_coupon_box_params-wcb_right_column_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_right_column_bg_img]').set(wcbParams.imgBgSale5);
                    api('woo_coupon_box_params[wcb_right_column_size_px]').set(300);

                    api('woo_coupon_box_params[wcb_custom_image_width]').set('90');
                    api('woo_coupon_box_params[wcb_custom_image_height]').set('20');
                    api('woo_coupon_box_params[wcb_custom_image_top]').set('-12');
                    api('woo_coupon_box_params[wcb_custom_image_bottom]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_left]').set('5');
                    api('woo_coupon_box_params[wcb_custom_image_right]').set('');
                    api('woo_coupon_box_params[wcb_custom_image_img]').set(wcbParams.customImage4);

                    api('woo_coupon_box_params[wcb_body_bg]').set('#eeeeee');
                    $('#customize-control-woo_coupon_box_params-wcb_body_bg_img').find('.remove-button').click();
                    api('woo_coupon_box_params[wcb_body_bg_img]').set('');
                    api('woo_coupon_box_params[wcb_body_bg_img_repeat]').set('no-repeat');
                    api('woo_coupon_box_params[wcb_body_bg_img_size]').set('cover');
                    api('woo_coupon_box_params[wcb_body_bg_img_position]').set('center');
                    api('woo_coupon_box_params[wcb_body_text_color]').set('#2b2e4a');

                    api('woo_coupon_box_params[wcb_message]').set('Subscribe now to get free discount coupon code. Don\'t miss out!');
                    api('woo_coupon_box_params[wcb_message_after_subscribe]').set('Congratulation! You have subscribed successfully.');
                    api('woo_coupon_box_params[wcb_color_message]').set('unset');
                    api('woo_coupon_box_params[wcb_message_size]').set('16');
                    api('woo_coupon_box_params[wcb_message_align]').set('left');

                    api('woo_coupon_box_params[wcb_button_text_color]').set('#ffffff');
                    api('woo_coupon_box_params[wcb_button_bg_color]').set('#2b2e4a');
                    api('woo_coupon_box_params[wcb_button_text]').set('SUBSCRIBE');
                    api('woo_coupon_box_params[wcb_button_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_email_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_email_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_custom_input_border_radius]').set('0');
                    api('woo_coupon_box_params[wcb_custom_input_color]').set('#000');
                    api('woo_coupon_box_params[wcb_custom_input_bg_color]').set('#fff');
                    api('woo_coupon_box_params[wcb_email_button_space]').set('0');

                    api('woo_coupon_box_params[wcb_footer_text]').set('We will never spam you, unsubscribe anytime.');
                    api('woo_coupon_box_params[wcb_footer_text_after_subscribe]').set('');

                    api('woo_coupon_box_params[wcb_follow_us]').set('');
                    api('woo_coupon_box_params[wcb_color_follow_us]').set('unset');
                    api('woo_coupon_box_params[wcb_social_icons_size]').set('25');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_facebook_select]').set('wcb_social_icons-facebook-app-logo');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_twitter_select]').set('wcb_social_icons-twitter-1');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_pinterest_select]').set('wcb_social_icons-pinterest-social-logo');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_instagram_select]').set('wcb_social_icons-instagram');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_dribbble_select]').set('wcb_social_icons-dribbble-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_tumblr_select]').set('wcb_social_icons-tumblr-logo-2');
                    api('woo_coupon_box_params[wcb_social_icons_google_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_google_select]').set('wcb_social_icons-google-plus-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_vkontakte_select]').set('wcb_social_icons-vk-social-logotype-1');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_linkedin_select]').set('wcb_social_icons-linkedin-logo-1');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_color]').set('#ababab');
                    api('woo_coupon_box_params[wcb_social_icons_youtube_select]').set('wcb_social_icons-youtube-logotype');

                    $('#accordion-section-wcb_coupon_box_design_image_column').removeClass('wcb-hide-section');
                    $('#customize-control-woo_coupon_box_params-wcb_right_column_size').css('display', 'none');
                    $('#customize-control-woo_coupon_box_params-wcb_right_column_size_px').css('display', 'block');
                    break;
            }

        })
    });

    /*Popup icon*/
    api('woo_coupon_box_params[wcb_popup_icon]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_popup_icon label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_popup_icon .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });
    api.section('wcb_coupon_box_design_popup_icon', function (section) {
        section.expanded.bind(function (isExpanded) {
            var iframe = $('iframe').contents().find('body');
            if (isExpanded) {
                iframe.find('.wcb-current-layout').removeClass('wcb-md-show');
            } else {
                iframe.find('.wcb-current-layout').addClass('wcb-md-show');
            }
        })
    });
//                /*Button close*/
    api('woo_coupon_box_params[wcb_button_close]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_button_close label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_button_close .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_facebook_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_facebook_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_facebook_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_twitter_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_twitter_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_twitter_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_pinterest_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_pinterest_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_pinterest_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_instagram_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_instagram_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_instagram_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_dribbble_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_dribbble_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_dribbble_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_tumblr_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_tumblr_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_tumblr_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_google_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_google_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_google_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_vkontakte_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_vkontakte_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_vkontakte_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_linkedin_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_linkedin_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_linkedin_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    });

    api('woo_coupon_box_params[wcb_social_icons_youtube_select]', function (value) {
        value.bind(function (newval) {
            $('.woo_coupon_box_params-wcb_social_icons_youtube_select label').removeClass('wcb-radio-icons-active');
            $('.woo_coupon_box_params-wcb_social_icons_youtube_select .' + newval).parent().addClass('wcb-radio-icons-active');
        })
    })
});